import { ComponentInterface } from '../../stencil-public-runtime';
import { BalBreakpointObserver, BalBreakpoints } from '../../utils/breakpoints';
import type { BalConfigObserver, BalConfigState } from '../../utils/config';
export declare class ProgressBar implements ComponentInterface, BalConfigObserver, BalBreakpointObserver {
    el: HTMLElement;
    private animated;
    private lineEl?;
    private isTouch;
    value: number;
    background: BalProps.BalProgressBarBackground;
    componentDidRender(): void;
    breakpointListener(_breakpoints: BalBreakpoints): void;
    configChanged(state: BalConfigState): Promise<void>;
    private updateProgress;
    render(): any;
}
